# osg::NodeVisitor::DatabaseRequestHandler Class Reference

Callback for managing database paging, such as generated by PagedLOD nodes. More...

Inheritance diagram for osg::NodeVisitor::DatabaseRequestHandler:

[legend]
List of all members.

## Public Member Functions

virtual void | requestNodeFile (const std::string &fileName, osg::Group *group, float priority, const FrameStamp *framestamp)=0

## Protected Member Functions

virtual | ~DatabaseRequestHandler ()

## Detailed Description

Callback for managing database paging, such as generated by PagedLOD nodes.

## Constructor & Destructor Documentation

virtual osg::NodeVisitor::DatabaseRequestHandler::~DatabaseRequestHandler | ( |  | ) | `[inline, protected, virtual]`

## Member Function Documentation

virtual void osg::NodeVisitor::DatabaseRequestHandler::requestNodeFile | ( | const std::string & | fileName,
|  | osg::Group * | group,
|  | float | priority,
|  | const FrameStamp * | framestamp
| ) | `[pure virtual]`

The documentation for this class was generated from the following file:

- NodeVisitor